Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 595119 - [abrt] crash in exaile-0.3.1.1-1.fc13: playlist.py:544:index:ValueError: list.index(x): x not in list
Summary: [abrt] crash in exaile-0.3.1.1-1.fc13: playlist.py:544:index:ValueError: list...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cbcbbdb2
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-23 13:07 UTC by Gleb Sharkunov
Modified: 2010-07-20 22:49 UTC (History)
5 users (show)

Fixed In Version: exaile-0.3.2.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 22:49:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (575 bytes, text/plain)
2010-05-23 13:07 UTC, Gleb Sharkunov
no flags Details

Description Gleb Sharkunov 2010-05-23 13:07:28 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.4-95.fc13.i686
package: exaile-0.3.1.1-1.fc13
reason: playlist.py:544:index:ValueError: list.index(x): x not in list
release: Fedora release 13 (Goddard)

backtrace
-----
playlist.py:544:index:ValueError: list.index(x): x not in list

Traceback (most recent call last):
  File "/usr/share/exaile/plugins/minimode/__init__.py", line 307, in on_track_change
    index = self.exaile.queue.current_playlist.index(track)
  File "/usr/lib/python2.6/site-packages/exaile/xl/playlist.py", line 544, in index
    return self.ordered_tracks.index(track)
ValueError: list.index(x): x not in list

Local variables in innermost frame:
track: "'Amsterdam (Original Mix)' from 'Amsterdam' by 'Alan Fitzpatrick'"
self: <xl.playlist.Playlist object at 0x9b3be6c>

How to reproduce
-----
1. enable the minimode plugin. add few songs (i've added 3) switch to minimode select a song from the dropdown list. = crash
2.
3.

Comment 1 Gleb Sharkunov 2010-05-23 13:07:31 UTC
Created attachment 415954 [details]
File: backtrace

Comment 2 rh 2010-06-05 09:36:05 UTC
Package: exaile-0.3.1.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Go into Mini mode while playing
2. Change a song through the menu
3. It crashes, song not changed but still playing.


Comment
-----
Fedora 13, the same time running Firefox, Chrome, Pino, Blueman and IBus

Comment 3 Fedora Update System 2010-06-29 16:37:58 UTC
exaile-0.3.2.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 4 Fedora Update System 2010-06-30 15:06:39 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 5 Fedora Update System 2010-07-20 22:47:46 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.